Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jasper
Interface Options

All Known Implementing Classes:
  EmbeddedServletOptions, JspC

    public interface Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Method Summary
`boolean` | `genStringAsCharArray()` Are Text strings to be generated as char arrays?
`Map` | `getCache()` The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.
`int` | `getCheckInterval()` Background compile thread check interval in seconds
`boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
`String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`String` | `getCompiler()` Compiler to use.
`String` | `getCompilerClassName()` Java compiler class to use.
`String` | `getCompilerSourceVM()` Compiler source VM, e.g.
`String` | `getCompilerTargetVM()` The compiler target VM, e.g.
`boolean` | `getDevelopment()` Is Jasper being used in development mode?
`boolean` | `getDisplaySourceFragment()` Should we include a source fragment in exception messages, which could be displayed to the developer ?
`boolean` | `getErrorOnUseBeanInvalidClassAttribute()` Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.
`boolean` | `getFork()` boolean flag to tell Ant whether to fork JSP page compilations.
`String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`JspConfig` | `getJspConfig()` Obtain JSP configuration informantion specified in web.xml.
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`int` | `getModificationTestInterval()` Modification test interval.
`File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Deprecated.
`TagPluginManager` | `getTagPluginManager()` Obtain a Tag Plugin Manager
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`boolean` | `getTrimSpaces()` Should white spaces between directives or actions be trimmed?
`boolean` | `isCaching()` Is caching enabled (used for precompilation).
`boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
`boolean` | `isSmapDumped()` Indicates whether SMAP info for JSR45 debugging should be dumped to a file.
`boolean` | `isSmapSuppressed()` Is the generation of SMAP info for JSR45 debugging suppressed?
`boolean` | `isXpoweredBy()` Is generation of X-Powered-By response header enabled/disabled?

Method Detail

### getErrorOnUseBeanInvalidClassAttribute

    boolean getErrorOnUseBeanInvalidClassAttribute()

  Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.

### getKeepGenerated

    boolean getKeepGenerated()

  Are we keeping generated code around?

### isPoolingEnabled

    boolean isPoolingEnabled()

  Returns true if tag handler pooling is enabled, false otherwise.

### getMappedFile

    boolean getMappedFile()

  Are we supporting HTML mapped servlets?

### getSendErrorToClient

    @Deprecated
    boolean getSendErrorToClient()

  Deprecated.

  Should errors be sent to client or thrown into stderr?

### getClassDebugInfo

    boolean getClassDebugInfo()

  Should we include debug information in compiled class?

### getCheckInterval

    int getCheckInterval()

  Background compile thread check interval in seconds

### getDevelopment

    boolean getDevelopment()

  Is Jasper being used in development mode?

### getDisplaySourceFragment

    boolean getDisplaySourceFragment()

  Should we include a source fragment in exception messages, which could be displayed to the developer ?

### isSmapSuppressed

    boolean isSmapSuppressed()

  Is the generation of SMAP info for JSR45 debugging suppressed?

### isSmapDumped

    boolean isSmapDumped()

  Indicates whether SMAP info for JSR45 debugging should be dumped to a file. Ignored is suppressSmap() is true

### getTrimSpaces

    boolean getTrimSpaces()

  Should white spaces between directives or actions be trimmed?

### getIeClassId

    String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

### getScratchDir

    File getScratchDir()

  What is my scratch dir?

### getClassPath

    String getClassPath()

  What classpath should I use while compiling the servlets generated from JSP files?

### getCompiler

    String getCompiler()

  Compiler to use.

### getCompilerTargetVM

    String getCompilerTargetVM()

  The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, or 1.5.

### getCompilerSourceVM

    String getCompilerSourceVM()

  Compiler source VM, e.g. 1.3, 1.4, or 1.5.

### getCompilerClassName

    String getCompilerClassName()

  Java compiler class to use.

### getTldLocationsCache

    TldLocationsCache getTldLocationsCache()

  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Returns:
    the instance of the TldLocationsCache for the web-application.

### getJavaEncoding

    String getJavaEncoding()

  Java platform encoding to generate the JSP page servlet.

### getFork

    boolean getFork()

  boolean flag to tell Ant whether to fork JSP page compilations.

### getJspConfig

    JspConfig getJspConfig()

  Obtain JSP configuration informantion specified in web.xml.

### isXpoweredBy

    boolean isXpoweredBy()

  Is generation of X-Powered-By response header enabled/disabled?

### getTagPluginManager

    TagPluginManager getTagPluginManager()

  Obtain a Tag Plugin Manager

### genStringAsCharArray

    boolean genStringAsCharArray()

  Are Text strings to be generated as char arrays?

### getModificationTestInterval

    int getModificationTestInterval()

  Modification test interval.

### isCaching

    boolean isCaching()

  Is caching enabled (used for precompilation).

### getCache

    Map getCache()

  The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.

  Returns:
    the Map(String uri, TreeNode tld) instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.